@import url(https://tools-static.wmflabs.org/fontcdn/css?family=Roboto:300,400,400italic,600&subset=latin,latin-ext);

/*  GENERAL */
:root {
    --main: #080d5a;
    --secondary: #6373f7;
    --main-dark: #060a40;
    --main-t: #080d5ac8;
    --main-tt: #080d5aa0;
    --bg-gray: #efefef;
    --accent: #a68300;
    --accent-green: #12B39A;
    --accent-blue: #1523e6;
    --accent-tt: #a6830064;
    --accent-ttt: #a6830028;
    --annotation-color: #E8336D;
}

*, *::after, *::before {
    box-sizing: inherit;
}

html, body {
    font-size: 16px;
}

html {
    box-sizing: border-box;
}

body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #fdfdfd;
    color: black;
    line-height: 1.2;
    overflow-x: hidden;
    height: 100%;
    flex-direction: column;
    min-height: 100vh;
    display: flex;
}

a {
    color: #0645AD;
}

h1 {
    font-size: 2em;
    margin: 0;
    color: var(--main)
}

h2 {
    font-size: 1.5em;
    margin: 0;
}

h3 {
    font-size: 1em;
    margin: 0;
}

h1,h2,h3{
    font-weight: 600;
}

/* UTILITIES */
.hide {
    display: none;
}

.show {
    display: block !important;
}

.clear {
    clear: both;
}

.underline {
    text-decoration: underline;
}

.no-pointer-events {
    pointer-events: none;
}

.full-disabled {
    pointer-events: none;
    opacity: .5;
}

.overflow_hidden {
    overflow: hidden;
    height: 100%;
}

.overflow-x-auto{
    overflow-x: auto;
}

/* MOBILE HEADER */
#mobile-header-bar {
    display: none;
}

/* footer */

footer {
    flex-shrink: 0;
    padding: 0.6rem;
    width: 100%;
    margin: 0;
    align-items: center;
}


.footer_bar {
    bottom: 0;
    background-color: #f1f2f2;
    font-weight: 400;
    color: rgba(0,0,0,.6);
}

.footer_bar a {
    color: #4183c4;
    text-decoration: none;
}

@media screen and (max-width: 1440px) {}

@media screen and (max-width: 768px) {}

@media screen and (max-width: 576px) {
    #mobile-header-bar {
        display: flex;
        background-color: var(--bg-gray);
        box-shadow: inset 0 -1px 3px rgba(0, 0, 0, 0.08);
        padding: 1rem;
        align-items: center;
        justify-content: space-between;
    }
}

.top_bar {
    min-height: 3em;
    top: 0;
    z-index: 1;
    padding: 0 1.5rem;
    display: flex;
    align-items: center;
}

#topbar {
    background-color: var(--main);
}

/** Lista ricerche **/

.list_item {
    cursor: pointer;
    padding: 1rem;
    margin: .5rem;
    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, .1);
    border: 1px solid rgba(100,100,100,.1);
    transition: all .4s;
    align-items: center;
}

.done{
    color: darkgreen;
}
.pending,.running{
    color: darkgoldenrod;
}
.failed{
    color: darkred;
}

.results{
    border: 2px solid var(--bg-gray);
}

.main-button{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 1rem;
    text-transform: uppercase;
}
a.main-button {
    text-decoration: none;
}
.main-button h2{
    font-size: 1em;
}
.top-button {
    font-size: 1.2em;
    padding: 10px;
    margin: 0 1rem;
    border: 2px solid rgba(255, 255, 255, .5);
    border-radius: 2px;
    color: #fff !important;
}

.successButton {
    border: 2px solid var(--main);
    border-radius: 5px;
    color: var(--main);
    padding: .5rem;
    background-color: transparent;
}
.stat-pending-button,.stat-running-button,.stat-failed-button {
    border: 2px solid #8C9091;
    border-radius: 5px;
    padding: .5rem;
    color: #8C9091 !important;
    background-color: var(--bg-gray);
    pointer-events: none;
}

.stat-done-button {
    border: 2px solid var(--main);
    border-radius: 5px;
    padding: .5rem;
    color: var(--bg-gray) !important;
    background-color: var(--main);
}

.showAllJobs {
    text-align: center;
    margin-left: 50%;
}

/** form configurazione **/
input[type='text'],input[type='number'],textarea{
    border:2px solid #dee2e6;
    border-radius:0;
}
input[type='checkbox'] {
    -webkit-appearance:none;
    height: 1.7rem;
    width: 1.7rem;
    top: 0.5rem;
    border:2px solid var(--main);
    border-radius:0;
    outline:none;
    background-color: #dee2e6;
}

input[type='checkbox']:before {
    content:'';
    display:block;
}
input[type='checkbox']:checked:before {
    color: var(--main);
    content: '\2713';
    font-size: 1.7rem;
    font-weight: 700;
    margin: -4px 5px 0 1px;
}

.custom-checkbox .custom-control-label::before {
    border-radius: 0;
    border: solid 2px;
    height: 1.3rem;
    width: 1.3rem;
    top: 0.7rem;
    left: -1rem;
}
input[type='radio'] {
    -webkit-appearance:none;
    height: 1.3rem;
    width: 1.3rem;
    top: 0.7rem;
    border:2px solid var(--main);
    border-radius:50%;
    outline:none;
    background-color: #dee2e6;
}

input[type='radio']:before {
    content:'';
    display:block;
    width:80%;
    height: 80%;
    margin: 10%;
    border-radius:50%;
}
input[type='radio']:checked:before {
    background:var(--main);
}

.form-check-label {
    margin-left: 1.5rem;
}

.btn-primary {
    color: #fff;
    background-color: var(--main);
    border-color: var(--main);
}
.btn-secondary {
    background-color: #fff;
    color: var(--main);
    border-color: var(--main);
}

#successMessage{
    background-color: darkgreen;
    color: white;
    font-size: 1rem;
    font-weight: 600;
}

#errorMessage{
    background-color: darkred;
    color: white;
    font-size: 1rem;
    font-weight: 600;
}

.table {
    border: 2px solid var(--main);
    margin-bottom: 0;
}

.table thead tr{
    background-color: #dee2e6;
    border: 2px solid var(--main);
}
.table thead th {
    color: var(--main);
    vertical-align: middle;
    border: 2px solid var(--main);
}

.sortSelector {
    font-size: 1.6rem;
    cursor: pointer;
    color: var(--main);
}
.sortSelector.asc:after {
    content: '\25B2';
}
.sortSelector.desc:after {
    content: '\25BC';
}

.sortSelector.selected {
    color: #6373f7;
}

.filterHeaderTable{
    font-size: 1.6rem;
    color: #fff;
    background-color: var(--main);
}
.page-item.active .page-link {
    color: #fff;
    background-color: var(--main);
    border: 2px solid var(--main);
}
.page-item .page-link {
    color: var(--main);
    border: 1px solid var(--main);
    border-radius: 0;
}
.page-item.disabled .page-link{
    border: 1px solid var(--main);
    border-radius: 0;
}

#userGraph{
    margin-top: 1rem;
}

#main-container{
    min-height: 88vh;
    overflow-x: hidden;
}